public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/tox/
Date: Mon, 19 Dec 2016 20:17:14 +0000 (UTC)	[thread overview]
Message-ID: <1482178625.04a08756c739c1607f47a75fb15c0875ba48f178.mgorny@gentoo> (raw)

commit:     04a08756c739c1607f47a75fb15c0875ba48f178
Author:     Zetok Zalbavar <zetok <AT> openmailbox <DOT> org>
AuthorDate: Sat Dec 17 01:31:32 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 19 20:17:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04a08756

net-libs/tox: add ebuild for the v0.1.1 release

Closes: https://github.com/gentoo/gentoo/pull/3140
Package-Manager: portage-2.3.0

 net-libs/tox/Manifest         |  1 +
 net-libs/tox/tox-0.1.1.ebuild | 77 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/net-libs/tox/Manifest b/net-libs/tox/Manifest
index 69be34a..a1cf88a 100644
--- a/net-libs/tox/Manifest
+++ b/net-libs/tox/Manifest
@@ -1 +1,2 @@
+DIST tox-0.1.1.tar.gz 416532 SHA256 c3a6329731a35c1e9cd8ad204407ddbc408f325056de2b1baa1fc44bc8bfcb37 SHA512 5bdaf047594e943f854fda0f0265167e0dccf05fedfec6b4d9b628b242de23f9dd9b870bbdcca4cb02f9742fa2472e4c7e1047370732cb2ee529467f15e81fc1 WHIRLPOOL 32ee00f6eaf98473ce3de080ba36185da2c225b2037574b55060a12e88876fb1f7df492614fbbb493ba85a44a319f3e0c254c0daec1e8cc18472ba075834039f
 DIST tox-0_pre20160904.tar.gz 395495 SHA256 2d4a0d096bdb81b12b10551765fb9f87270e170f10f387f700b3def68cb6c35c SHA512 c0da52ac908141e97e96510a05431cbfb4b9aae81faf4c136c95e21b90a23e3bbe6db88303e48c0f4f3c74ca954229787564b7aa41bfb462afb0d8f8430cdaa1 WHIRLPOOL abd3f61784fac93d983e453515d1e8bc87f7d76651a53ce6f566a277d7ec7c1e03294d95781364ce9ab30f2698c6f5cd552bfa4888f8d5d0d315daf038980c63

diff --git a/net-libs/tox/tox-0.1.1.ebuild b/net-libs/tox/tox-0.1.1.ebuild
new file mode 100644
index 00000000..6e8fafb
--- /dev/null
+++ b/net-libs/tox/tox-0.1.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools systemd user
+
+DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
+HOMEPAGE="https://tox.chat"
+SRC_URI="https://github.com/TokTok/c-toxcore/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0/0.1"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+av daemon log-debug log-error log-info log-trace log-warn +no-log ntox static-libs test"
+
+REQUIRED_USE="^^ ( no-log log-trace log-debug log-info log-warn log-error )"
+
+RDEPEND="
+	av? ( media-libs/libvpx:=
+		media-libs/opus )
+	daemon? ( dev-libs/libconfig )
+	ntox? ( sys-libs/ncurses:0= )
+	>=dev-libs/libsodium-0.6.1:=[asm,urandom]"
+DEPEND="${RDEPEND}
+	test? ( dev-libs/check )
+	virtual/pkgconfig"
+
+S=${WORKDIR}/c-toxcore-${PV}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(usex log-trace "--enable-logging --with-log-level=TRACE" "") \
+		$(usex log-debug "--enable-logging --with-log-level=DEBUG" "") \
+		$(usex log-info "--enable-logging --with-log-level=INFO" "") \
+		$(usex log-warn "--enable-logging --with-log-level=WARNING" "") \
+		$(usex log-error "--enable-logging --with-log-level=ERROR" "") \
+		$(use_enable av) \
+		$(use_enable test tests) \
+		$(use_enable ntox) \
+		$(use_enable daemon) \
+		$(use_enable static-libs static)
+}
+
+src_install() {
+	default
+	if use daemon; then
+		newinitd "${FILESDIR}"/initd tox-dht-daemon
+		newconfd "${FILESDIR}"/confd tox-dht-daemon
+		insinto /etc
+		doins "${FILESDIR}"/tox-bootstrapd.conf
+		systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
+	fi
+
+	find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+	if use daemon; then
+		enewgroup ${PN}
+		enewuser ${PN} -1 -1 -1 ${PN}
+		if [[ -f ${EROOT%/}/var/lib/tox-dht-bootstrap/key ]]; then
+			ewarn "Backwards compatability with the bootstrap daemon might have been"
+			ewarn "broken a while ago. To resolve this issue, REMOVE the following files:"
+			ewarn "    ${EROOT%/}/var/lib/tox-dht-bootstrap/key"
+			ewarn "    ${EROOT%/}/etc/tox-bootstrapd.conf"
+			ewarn "    ${EROOT%/}/run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
+			ewarn "Then just re-emerge net-libs/tox"
+		fi
+	fi
+}


             reply	other threads:[~2016-12-19 20:17 UTC|newest]

Thread overview: 59+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-19 20:17 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-30 19:09 [gentoo-commits] repo/gentoo:master commit in: net-libs/tox/ Pacho Ramos
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2023-02-07 11:16 Marek Szuba
2022-07-19 18:29 Sam James
2022-06-16 19:33 Sam James
2022-06-16 16:32 Sam James
2022-06-16 16:32 Sam James
2022-06-16 16:32 Sam James
2022-02-21  9:43 Jakov Smolić
2022-02-21  9:43 Jakov Smolić
2022-01-07  5:14 Sam James
2022-01-07  5:14 Sam James
2022-01-07  5:14 Sam James
2021-05-14  9:36 Agostino Sarubbo
2021-05-14  9:30 Agostino Sarubbo
2021-01-02  1:43 Sam James
2021-01-02  0:35 Sam James
2020-09-04 20:57 Sam James
2020-09-04 20:53 Sam James
2020-09-04 20:53 Sam James
2020-09-04 20:53 Sam James
2020-07-05 13:44 Agostino Sarubbo
2020-07-02  6:25 Agostino Sarubbo
2020-06-08  7:46 Joonas Niilola
2020-06-08  7:46 Joonas Niilola
2020-04-26 15:29 Agostino Sarubbo
2020-04-26 14:16 Agostino Sarubbo
2020-03-28 14:21 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-01-13  6:10 Joonas Niilola
2020-01-13  6:10 Joonas Niilola
2020-01-04 10:26 Agostino Sarubbo
2020-01-03 12:00 Agostino Sarubbo
2019-11-04  6:23 Joonas Niilola
2019-11-04  6:23 Joonas Niilola
2019-05-26  9:43 Michał Górny
2019-04-21 21:31 Michał Górny
2018-12-22 11:43 Andreas Sturmlechner
2018-10-27  8:03 Michał Górny
2018-10-22 20:21 Michał Górny
2018-08-12 16:58 Michał Górny
2018-07-19 19:51 Jonas Stein
2017-08-18 22:13 Michał Górny
2017-08-18 22:13 Michał Górny
2017-07-30  9:45 Michał Górny
2017-01-29 17:07 Göktürk Yüksek
2017-01-16  3:33 Göktürk Yüksek
2016-12-28  0:18 Patrice Clement
2016-12-19 20:17 Michał Górny
2016-12-10 10:43 Michał Górny
2016-12-06 18:28 Göktürk Yüksek
2016-12-05 22:48 Patrice Clement
2016-09-21 21:58 Göktürk Yüksek
2016-09-21 21:58 Göktürk Yüksek
2016-06-15 14:21 Amy Winston
2016-02-06 11:42 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1482178625.04a08756c739c1607f47a75fb15c0875ba48f178.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox